1

I'm trying to exploit Windowx XP SP2 through MS03-026 Microsoft RPC DCOM Interface Overflow vulnerability on msfconsole. When execute "exploit" but it is not working. What could be reason? The one said on - http://www.rapid7.in/db/modules/exploit/windows/dcerpc/ms03_026_dcom

Access Mode : VMware Workstation 9 Host OS : Windows 8.1 Guest OS : Windows XP Service Pack 2 Network type : Host-only

closed as off-topic by Xander, Ayrx, Jens Erat, Rory Alsop Dec 27 '14 at 13:02

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions asking us to break the security of a specific system for you are off-topic unless they demonstrate an understanding of the concepts involved and clearly identify a specific problem." – Xander, Jens Erat, Rory Alsop
If this question can be reworded to fit the rules in the help center, please edit the question.

  • There is not enough information to answer this question. You maybe using a decade old exploit, maybe you are patched? Which one of the dozen or so dcom exploits are you attempting to use? – rook Dec 26 '14 at 15:47
1

It seems, the Windows XP you are using, is patched for that vulnerability.

  • 1
    This is not an answer but more of a comment. With the question so broad, you could not conclusively state that Windows XP is patched forany vulnerability considering there are a variety of dcom exploits for Windows XP. – munkeyoto Dec 26 '14 at 15:52
  • I understand. But I didn't have enough reputations to comment. I'm a newbie here. :( – pavanw3b Dec 26 '14 at 16:06
  • 2
    Actually there is enough information. Service Pack 2 was released in 2004 with the MS03-026 patch included. Also if you look at the code for the Metasploit module you can see which versions of Windows it can target: => Windows NT 4.0 SP6a, Windows 2000, Windows XP SP0/SP1, Windows 2003, Windows NT 4.0 SP5, Windows NT 4.0 SP3/4 – mubix Dec 26 '14 at 16:24

Not the answer you're looking for? Browse other questions tagged or ask your own question.